var vm = require("vm");

module.exports = function() {
    var args = Array.prototype.slice.call(arguments);
    var dice = args
        .map(function(e) {
            if (Array.isArray(e)) {
                e = e.join("");
            }
            return String(e);
        }).join("")
        .replace(/ /g, "")
        .replace(/\d*d\d+/gi, function(roll) {
            var number = (function() {
                var number = roll.match(/^\d+/);
                return number ? number[0] : 1;
            })();
            var sides = (function() {
                var match = roll.match(/\d+$/)[0];
                return match;
            })()
            var results = 0;

            for (var i = 0; i < number; i++) {
                results+=Math.floor(sides*Math.random())+1;
            }

            return results;
        });

    return vm.runInNewContext(dice);
}
