var roll = require(__dirname + "/../lib/roll"),
    randomNo = function(scale) {
        var scale = scale || 30;
        return Math.floor(scale*Math.random())+1;
    }

var numTests = 500;
for (var i=0; i < numTests; i++) {
    var number = (i < Math.ceil(numTests/2)) ? randomNo() : undefined,
        sides = randomNo(),
        modifier = randomNo(),
        opts = {
            command: (number || "")+"d"+sides+"+"+modifier,
            lowerBound: (number || 1) + modifier,
            upperBound: (number || 1)*sides + modifier
        };

    exports[opts.lowerBound+" < (roll "+opts.command+") < "+opts.upperBound] = (function(options) {
        return function(test) {
            var dice = roll(options.command);
            test.ok(dice >= options.lowerBound);
            test.ok(dice <= options.upperBound);
            test.done();
        }
    })(opts);
}
